WordPress.org

Forums

Frontier
[resolved] Error: Missing required field "updated". (5 posts)

  1. idealpestcontrol
    Member
    Posted 1 year ago #

    hi i am using frontier theme . i am trying to get authorship verification by google and is having this error

    Error: Missing required field "updated".
    Error: Missing required hCard "author

    i dont know how to solve this issue. i searched the web and found that i have to change the single page php. and change the php like this
    Fix Missing required field “updated”
    look for the code below on your WordPress theme’s single.php file.

    001
    <span class="post_date"><?php the_time('j F,Y'); ?></span>
    then add “date updated” attribute to it. Your code should look like

    001
    <span class="post_date date updated"><?php the_time('j F,Y'); ?></span>
    Fix Warning: Missing required hCard “author” and Missing required field “name (fn)”
    This will fix these 2 warnings. On your WordPress theme’s single.php file, look for

    001
    <span class="theauthor"><?php the_author_posts_link(); ?></span>
    or

    001
    <span class="theauthor"><?php the_author(); ?></span>
    replace it with

    001
    <span class="vcard author">
    002
    <span class="fn"><?php the_author_posts_link(); ?></span>
    003
    </span>
    or

    001
    <span class="vcard author">
    002
    <span class="fn"><?php the_author(); ?></span>
    003
    </span>
    i searched my theme php but dont find these lines . any one can help

  2. ronangelo
    Member
    Theme Author

    Posted 1 year ago #

    You can show the "updated" date by checking "Date Updated" on Frontier Options both on Blog View and on Single View. This is only available on Blog View if "Full" is chosen instead of "excerpts". You'll have to manually add the author hCard if you need to.

    Note: Google Verification will work even with these kinds of errors as long as the correct google+ author url is found on your site's page and your domain is also claimed on your google+ page. Even the official themes (twentytwelve, twentythirteen, twentyfourteen...) have these types of errors on the the Rich Snippet Testing Tool.

    i searched my theme php but dont find these lines . any one can help

    You won't find those because it's not there. You'll have to add it yourself.

  3. idealpestcontrol
    Member
    Posted 1 year ago #

    thanks for your reply. i will do that and see how it goes.

  4. ronangelo
    Member
    Theme Author

    Posted 1 year ago #

    Update: version 1.1.4 will include microformat markup for the author.

  5. blacksoil
    Member
    Posted 10 months ago #

    I had the same problem with my godaddy wordpress theme. and i fixed that. But i still getting same errors.
    https://www.google.com/webmasters/tools/richsnippets?url=http://somontarifi.com/tag/somon-tarifi

Topic Closed

This topic has been closed to new replies.

About this Theme

About this Topic